> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MMR history by name (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/mmr-history/{affinity}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/mmr-history/{affinity}/{name}/{tag}:
    get:
      tags:
        - valorant
      summary: Get MMR history by name (v1)
      operationId: get_mmr_history_by_name
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
      responses:
        '200':
          description: MMR history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MMRHistoryV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    MMRHistoryV1Response:
      type: object
      required:
        - status
        - name
        - tag
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/MMRHistoryV1Data'
        name:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        tag:
          type: string
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    MMRHistoryV1Data:
      type: object
      required:
        - currenttier
        - currenttierpatched
        - images
        - match_id
        - map
        - season_id
        - ranking_in_tier
        - mmr_change_to_last_game
        - elo
        - date
        - date_raw
      properties:
        currenttier:
          type: integer
          format: int32
        currenttierpatched:
          type: string
        date:
          type: string
        date_raw:
          type: integer
          format: int32
        elo:
          type: integer
          format: int32
        images:
          $ref: '#/components/schemas/MMRDataImages'
        map:
          $ref: '#/components/schemas/MMRHistoryV1DataMap'
        match_id:
          type: string
        mmr_change_to_last_game:
          type: integer
          format: int32
        ranking_in_tier:
          type: integer
          format: int32
        season_id:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    MMRDataImages:
      type: object
      required:
        - small
        - large
        - triangle_down
        - triangle_up
      properties:
        large:
          type: string
        small:
          type: string
        triangle_down:
          type: string
        triangle_up:
          type: string
    MMRHistoryV1DataMap:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string

````